Font::TTF::PCLT(3)

NAME
Font::TTF::PCLT - PCLT TrueType font table

DESCRIPTION
The PCLT table holds various pieces HP-PCL specific information. Information here is generally not used by other software, except for the xHeight and CapHeight which are stored here (if the table exists in a font).

INSTANCE VARIABLES
Only from table and the standard:

    version
    FontNumber
    Pitch
    xHeight
    Style
    TypeFamily
    CapHeight
    SymbolSet
    Typeface
    CharacterComplement
    FileName
    StrokeWeight
    WidthType
    SerifStyle

Notice that "Typeface", "CharacterComplement" and "FileName" return arrays of unsigned characters of the appropriate length

METHODS

  $t->read
Reads the table into memory thanks to some utility functions

  $t->out($fh)
Writes the table to a file either from memory or by copying.

  $t->minsize()
Returns the minimum size this table can be. If it is smaller than this, then the table must be bad and should be deleted or whatever.

BUGS
None known

AUTHOR
Martin Hosken <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.